Actions APIReferenceAuto claim
Build a transaction to enable or disable the redeem operator.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
chainId*integer
EVM chain ID. Must be one of the supported chains (Plume=98866, Ethereum=1, BSC=56, Plasma=9745, Avalanche=43114).
Range
0 < valueuser*string
User/controller address whose redeem operator approval is being managed.
Match
^0x[a-fA-F0-9]{40}$enabled*boolean
Whether the redeem operator should be approved for the user.
skipSimulation?boolean
Skip the setOperator transaction simulation preflight.
Default
falseResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/auto-claim/build-tx" \ -H "Content-Type: application/json" \ -d '{ "chainId": 98866, "user": "0x00000000000000000000000000000000000000ab", "enabled": true }'{ "data": { "chainId": 0, "user": "string", "operatorRegistryAddress": "string", "operatorAddress": "string", "enabled": true, "transactions": [ { "label": "setOperator", "description": "string", "to": "string", "data": "string", "value": "0" } ] }}